<template lang="pug">
.form
  FormInput(
    v-for="item in items"
    :key="item.name"
    :item="item"
    @input="input"
  )
</template>

<script>
import FormInput from '@/components/parts/FormInput.vue'

export default {
  components: {
    FormInput
  },
  props: {
    items: Array
  },
  methods: {
    input({ name, text }) {
      this.$emit('input', { name, text })
    }
  }
}
</script>

<style lang="stylus" scoped>
.form
  display: flex
  flex-direction: row
  flex-wrap: wrap
  max-width: 800px
  margin: auto
</style>
